# Class ExtendedAccessLogValve.ResponseHeaderElement

java.lang.Object
org.apache.catalina.valves.ExtendedAccessLogValve.ResponseHeaderElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `ExtendedAccessLogValve`

protected static class ExtendedAccessLogValve.ResponseHeaderElement extends Object implements AbstractAccessLogValve.AccessLogElement

## Constructor Summary

Constructors
Constructor
Description
`ResponseHeaderElement(String header)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Request request, Response response, long time)`
Called to create an access log entry.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

`addElement`

## Constructor Details

### ResponseHeaderElement

public ResponseHeaderElement(String header)

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Request request, Response response, long time)
Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
Called to create an access log entry.

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
Parameters:
  `buf` - The buffer to which the log element should be added
  `request` - The request that triggered this access log entry
  `response` - The response to the request that triggered this access log entry
  `time` - The time taken in nanoseconds to process the request